<?php 
include("../../db.php");
$pgMod="fee_summery";
$pgAct="view";

 $_SESSION["admin"]["session"]=$_REQUEST['session'];
 $_SESSION["admin"]["school_id"]= $_REQUEST['school_id'];
 $_REQUEST['fmonth']=$_GET['fmonth'];

$monthsList = array(
    'January',
    'February',
    'March',
    'April',
    'May',
    'June',
    'July ',
    'August',
    'September',
    'October',
    'November',
    'December',
);
$monthsList1 = array(
    1=>'Apr',
    2=>'May',
    3=>'Jun',
    4=>'Jul ',
    5=>'Aug',
    6=>'Sep',
    7=>'Oct',
    8=>'Nov',
    9=>'Dec',
	10=>'Jan',
    11=>'Feb',
    12=>'Mar'
);

		$overAllTotal=0;$overAlltution=0;$overAllTransport=0;$overAllhotel=0;$overAllOther=0;$overAllOther_hostel=0;$overAllFine=0;$overAllextra=array();					$overAllNewextra=0;
		$cls1=$db->getVal("SELECT GROUP_CONCAT('''',class,'''') FROM class");

        $whereclass = "";			
        if($_GET['class']!=""){
            $whereclass .= " class='".$_GET["class"]."' and ";
        }

        if($_GET['section']!=""){
            $whereclass .= " section='".$_GET["section"]."' and ";
        }

		$aryStudentList=$db->getRows("select * from student where $whereclass school_id='".$_SESSION["admin"]["school_id"]."' and session='".$_SESSION["admin"]["session"]."'  and status=1 and issue_TC=0 ORDER BY FIELD(class,$cls1)");

		$m=0;

		if(isset($_REQUEST['fmonth']) && $_REQUEST['fmonth']!=0){
			$month=$_GET["fmonth"];

			  if($month<4){
				$m=($month+9);
			  }
			  else{
				$m=$month-3;
			  }
		}
		else{
			$m=12;
		}
		  //echo $m;

        $feehead = $db->getRows("SELECT DISTINCT name FROM `otherfee_structure` WHERE ( otype='' OR otype='new' or otype='old') and session='".$_SESSION["admin"]["session"]."' ");
            foreach($feehead as $cls){ 
                $otherfeeary[] = $cls['name'];
            }
            
            $extrafeetype = $db->getRows("select distinct(type) from extrafee_type where school_id='".$_SESSION["admin"]["school_id"]."' and session='".$_SESSION["admin"]["session"]."'  order by type");
                foreach($extrafeetype as $ftype){ 
                    $extrafeeary[] = $ftype["type"];
                }

            $hostelextra = $db->getRows("SELECT DISTINCT name FROM `hostel_otherfee_structure` WHERE ( otype='' OR otype='new' or otype='old') and session='".$_SESSION["admin"]["session"]."' ");
                foreach($hostelextra as $cls){ 
                    $hostelotherfeeary[] = $cls['name'];
                }

		if(is_array($aryStudentList) && count($aryStudentList)>0){
			?>

<style type="text/css">
@media print {
    #btnduesend {
        display :  none;
    }
}

@media print {
    #btnduesend1 {
        display :  none;
    }
}

@media print {
    #searchfoertotal {
        display :  none;
    }
}
</style>

            <style>
                @media print {
            
                    #myPrntbtn {
                        display :  none;
                    }
            
                }
            </style>


			<table class="table" cellpadding="0" cellspacing="0" border="1" style="font-size:9.5px;" id="tblData" data-tblname="Month Report Without Class">
				<thead>
				<tr>
                	<!--<td class=""><input  onchange="checkAll()" class="check" type="checkbox" name="check[]" value="" id="checkboxa" /></td>-->
                	<td>S.No</td>
					<td>Student Name</td>
                    <th>Father Name</th>
                    <th>Reg. no</th>
					<td>Class</td>
                    <td>Roll No.</td>
					<td>Contact No</td>

					<?php	
					if($_GET["head_name"] == "Tuition" || $_GET["head_name"] == "Transport" || $_GET["head_name"] == "Hostel")
					{
    					for($i=1;$i<=$m;$i++){?>
    						<th width="0.5%"><?php echo $_GET['head_name']." ".$monthsList1[$i]; ?></th><?php
    					}
					}

					if (in_array($_GET["head_name"], $otherfeeary)){
                        echo "<th>$_GET[head_name]</th>";
                    }

    				if (in_array($_GET["head_name"], $hostelotherfeeary)){
                        echo "<th>$_GET[head_name]</th>";
                    }

                    if (in_array($_GET["head_name"], $extrafeeary)){
                        for($i=1;$i<=$m;$i++){?>
    						<th width="0.5%"><?php echo $_GET['head_name']." ".$monthsList1[$i]; ?></th><?php
    					}
                    }

                    if($_GET["head_name"] == "Back_dues"){
                        echo "<th>$_GET[head_name]</th>";
                    }
					?>

               <td>Total</td>
			</tr>
			</thead>
			<tbody>
		<?php	$i=0; $total_comp=0;
		
			for($i=1; $i<=$m; $i++){

				$md[]='COALESCE(i'.$i.',0)';
				$md1[]='COALESCE(ip'.$i.',0)';
				$pid[]= "'p".$i."'";
				$pm[]= "'".$i."'";
				
				$mdb[]='COALESCE(b'.$i.',0)';
				$mdb1[]='COALESCE(bp'.$i.',0)';
		     }
					  $mdf= implode('+',$md);
					  $mdf1= implode('+',$md1);

					  $mdbf= implode('+',$mdb);
					  $mdbf1= implode('+',$mdb1);

					  $pid1 =implode(',',$pid);
					  $pm1=implode(',',$pm);
    		          $z=0;$tut2=0;$bus2=0;
    		          
    		          $columntotal = [];
					  foreach($aryStudentList as $fStudent){$z++;
					  $mn=$m;
					  ?>
                      <tr>
                    		<!--<td class=""><input class="checkboxes" type="checkbox" name="sid" value="<?php echo $fStudent["idno"];?>" id="cat<?php echo $fStudent["mobile"]; ?>" /></td>-->
                        	<td id="newid<?php echo $z ?>"><?php echo $z ?></td>
							<td class="name<?php echo $fStudent["idno"];?>"><?php echo $fStudent["name"] ?></td>
                            <td><?php echo $fStudent["fname"] ?></td>
                            <td><?php echo $fStudent["admissionno"] ?></td>
							<td><?php echo $fStudent["class"]; echo "-"; echo $fStudent["section"]  ?></td>
                            <td><?php  echo $fStudent["fincome"]; ?></td>
							<td><?php echo $fStudent["mobile"]; ?></td>
                      <?php

			$tut2=0;$bus2=0;$install_hostel=0;$ext=0; $annualfee=0;
			$rowtotal = 0;

            if($_GET['head_name']=="Tuition" || $_GET['head_name']=="Transport" || $_GET['head_name']=="Hostel"){

			for($i=1; $i<=$m; $i++){

                if($_GET['head_name']=="Tuition"){

                    $installTution=$db->getRow("select i".$i.",ip".$i." from installment where idno='".$fStudent["idno"]."'");

						if(is_array($installTution) && count($installTution)>0){
							if($installTution["ip$i"]=="" || $installTution["ip$i"]=="0")
							{
								$tution=$installTution["i$i"];
							} 
							else
							{
                				if($m==$i)
                				{
                				    $tution=$db->getVal("select (i".$m."-COALESCE(ip".$m.",0)) from installment where  idno='".$fStudent["idno"]."' ");
                				}
                                else
                                {
	                             $tution=0;	
                                }
							}
						}else{
							$tution="";
						}
                    $rowtotal+=$tution;
                    $columntotal[$i] += $tution;
                }

                if($_GET['head_name']=="Transport"){

                    $installTution=$db->getRow("select b".$i.",bp".$i." from installment where idno='".$fStudent["idno"]."'");

					if(is_array($installTution) && count($installTution)>0){
						if($installTution["bp$i"]=="" || $installTution["bp$i"]==0){
							$trasnport=$installTution["b$i"];
						}
						else    {
        				if($m==$i)
        				{
            				$trasnport=$db->getVal("select (b".$m."-COALESCE(bp".$m.",0)) from installment where  idno='".$fStudent["idno"]."' ");
        				}
                        else    {
                	             $trasnport=0;	
                                }
							}
					}   else    {
						$trasnport="";
					}
					
                    $rowtotal+=$trasnport;
                    $columntotal[$i] += $trasnport;
                }


                if($_GET['head_name']=="Hostel"){

                    $installTution=$db->getRow("select i".$i.",ip".$i." from hostelinstallment where idno='".$fStudent["idno"]."'");

						if(is_array($installTution) && count($installTution)>0){
							if($installTution["ip$i"]=="" || $installTution["ip$i"]=="0")
							{
								$hostel=$installTution["i$i"];
							} 
							else
							{
                				if($m==$i)
                				{
                				    $hostel=$db->getVal("select (i".$m."-COALESCE(ip".$m.",0)) from hostelinstallment where  idno='".$fStudent["idno"]."' ");
                				}
                                else
                                {
	                             $hostel=0;	
                                }
							}
						}else{
							$hostel="";
						}
                    $rowtotal+=$hostel;
                    $columntotal[$i] += $hostel;
                }

                ?>
  				<td> <?php 
  				if($_GET['head_name']=="Tuition"){
  				    if($tution=="0")echo "<lable style='color:red'>paid</label>";elseif($tution=="") echo "<lable style='color:red'>X</label>"; else echo $tution;
  				} 
  				elseif($_GET['head_name']=="Transport"){
  				    if($trasnport=="0")echo "<lable style='color:red'>paid</label>";elseif($trasnport=="") echo "<lable style='color:red'>X</label>";else echo $trasnport;
  				}
  				elseif($_GET['head_name']=="Hostel"){
  				    if($hostel=="0")echo "<lable style='color:red'>paid</label>";elseif($hostel=="") echo "<lable style='color:red'>X</label>";else echo $hostel;
  				}

  				?>
  				</td>

				<?php

			}
		  }

                    if (in_array($_GET["head_name"], $extrafeeary)){
                        $Ftypeid=$db->getVal("select id from extrafee_type where type='".$_GET["head_name"]."' and class='".$fStudent["class"]."'");
                        for($i=1;$i<=$m;$i++){

        						$installTution=$db->getRow("select fee,pay from extrafee where type='".$Ftypeid."' and pid= 'p".$i."' and idno='".$fStudent["idno"]."'");

								$no=array();
								if(is_array($installTution) && count($installTution)>0){
									
									if($installTution["pay"]=="" || $installTution["pay"]==0)
									{
										$extrafees = $installTution["fee"];
									}
									else
									{
									if($m==$i)
		                    		{
    									$extrafees=$db->getVal("select sum(fee-pay)  from extrafee where idno='".$fStudent["idno"]."' and pid ='p".$i."'  ");
                    				}
                                    else
                                       {
                    	             $extrafees = 0;	
                                         }	
									}
								}else{
									$extrafees="";
								}

                            echo "<td>";
                            if($extrafees=="0")echo "<lable style='color:red'>paid</label>";elseif($extrafees=="") echo "<lable style='color:red'>X</label>"; else echo $extrafees;
                            echo "</td>";
            
                                $rowtotal+=$extrafees;
                                $columntotal[$i] += $extrafees;
    					}
                    }

        $cls=$fStudent["class"];
        $type=$fStudent["stype"];

		if (in_array($_GET["head_name"], $otherfeeary)){

		   $other_fee_total = $db->getRow("SELECT sum(fee) as total, GROUP_CONCAT('''',name,'''') as name, GROUP_CONCAT('''',id,'''') as other_id from otherfee_structure WHERE name='$_GET[head_name]' and class='$cls' and month in($pm1)  and (otype='".$fStudent[idno]."' or otype='$type' or otype='') and session='".$_SESSION["admin"]["session"]."'");
           $other_fee_given = $db->getVal("SELECT sum(fine) from installment_fine WHERE (reasion like '$_GET[head_name]') and idno='".$fStudent[idno]."'  and session='".$_SESSION["admin"]["session"]."'");
           $other_fee_discount=$db->getVal("SELECT COALESCE(sum(discount),0) as result from otherfee_discount  WHERE idno='".$fStudent[idno]."' and class='$cls' and month in($pm1) and other_id in ($other_fee_total[other_id]) and session='".$_SESSION["admin"]["session"]."' ");
           if($other_fee_total['total'] > 0){
            $otherfee = $other_fee_total['total'] - ($other_fee_given+$other_fee_discount);
           }
           else {
               $otherfee = "";
           }

                $rowtotal+=$otherfee;
                $columntotal[0]+= $otherfee;

                echo "<td>";
                if($otherfee=="0")echo "<lable style='color:red'>paid</label>";elseif($otherfee=="") echo "<lable style='color:red'>X</label>"; else echo $otherfee;
                echo "</td>";
			}

		if (in_array($_GET["head_name"], $hostelotherfeeary)){

		   $other_fee_total = $db->getRow("SELECT sum(fee) as total, GROUP_CONCAT('''',name,'''') as name, GROUP_CONCAT('''',id,'''') as other_id from hostel_otherfee_structure WHERE name='$_GET[head_name]' and class='$cls' and month in($pm1)  and (otype='".$fStudent[idno]."' or otype='$type' or otype='') and session='".$_SESSION["admin"]["session"]."'");
           $other_fee_given = $db->getVal("SELECT sum(fine) from installment_fine WHERE (reasion like '$_GET[head_name]') and idno='".$fStudent[idno]."'  and session='".$_SESSION["admin"]["session"]."'");
           $other_fee_discount=$db->getVal("SELECT COALESCE(sum(discount),0) as result from hostelotherfee_discount  WHERE idno='".$fStudent[idno]."' and class='$cls' and month in($pm1) and other_id in ($other_fee_total[other_id]) and session='".$_SESSION["admin"]["session"]."' ");
           if($other_fee_total['total'] > 0){
            $otherfee = $other_fee_total['total'] - ($other_fee_given+$other_fee_discount);
           }
           else {
               $otherfee = "";
           }

                $rowtotal+=$otherfee;
                $columntotal[0]+= $otherfee;

                echo "<td>";
                if($otherfee=="0")echo "<lable style='color:red'>paid</label>";elseif($otherfee=="") echo "<lable style='color:red'>X</label>"; else echo $otherfee;
                echo "</td>";
			}
			
            if($_GET["head_name"] == "Back_dues"){

                $other_fee_total = $db->getRow("SELECT sum(fee) as total, GROUP_CONCAT('''',name,'''') as name, GROUP_CONCAT('''',id,'''') as other_id from otherfee_structure WHERE name='$_GET[head_name]' and class='".$fStudent['class']."' and month in($pm1)  and otype='".$fStudent[idno]."' and session='".$_SESSION["admin"]["session"]."'");
                $other_fee_given = $db->getVal("SELECT sum(fine) from installment_fine WHERE (reasion like '$_GET[head_name]') and idno='".$fStudent[idno]."'  and session='".$_SESSION["admin"]["session"]."'");
                $other_fee_discount=$db->getVal("SELECT COALESCE(sum(discount),0) as result from otherfee_discount  WHERE idno='".$fStudent[idno]."' and class='".$fStudent['class']."' and month in($pm1) and other_id in ($other_fee_total[other_id]) and session='".$_SESSION["admin"]["session"]."' ");

                if($other_fee_total['total'] > 0){
                    $otherfee = $other_fee_total['total'] - ($other_fee_given+$other_fee_discount);
                }
                else {
                    $otherfee = "";
                }

                $rowtotal+=$otherfee;
                $columntotal[0]+= $otherfee;

                echo "<td>";
                if($otherfee=="0")echo "<lable style='color:red'>paid</label>";elseif($otherfee=="") echo "<lable style='color:red'>X</label>"; else echo $otherfee;
                echo "</td>";
                
            }

          ?>
                <td class="MyTotalLeft left<?php echo $fStudent['idno'] ?>"  ><?php echo $rowtotal; $total_comp+=$rowtotal; ?></td>
                <!--<td class="MyTotalLeft left<?php echo $fStudent['idno'] ?>"  ><?php //echo $t; $total_comp+=$t; ?></td>-->
				<?php $t=0; }?>
			</tbody>
				<tfoot>
					<td colspan="7">Gross Total</td>

                    <?php
                        if($_GET['head_name']=="Tuition" || $_GET['head_name']=="Transport" || $_GET['head_name']=="Hostel"){              
            	    		for($i=1; $i<=$m; $i++){
                			    echo "<td>$columntotal[$i]</td>";
                			}
                        }
            			
            			if (in_array($_GET["head_name"], $otherfeeary)){
            			    echo "<td>$columntotal[0]</td>";
            			}

            			if (in_array($_GET["head_name"], $hostelotherfeeary)){
            			    echo "<td>$columntotal[0]</td>";
            			}

            			if (in_array($_GET["head_name"], $extrafeeary)){
            			    for($i=1; $i<=$m; $i++){
            			        echo "<td>$columntotal[$i]</td>";
            			    }
            			}
            			
			            if($_GET["head_name"] == "Back_dues"){
			                echo "<td>$columntotal[0]</td>";
			            }
        			?>
					
				   <td id="MyTotalLeft"><?php echo $total_comp; ?></td>
				</tfoot>
			</table>  Print date : <?php echo date("d-M-Y") ?>
            <p style="font-size:10px;">This page shows the account of only above session and final account is shown only in current session.</p>	
<?php }

?>
<style>.top-bar-minimize{display:none;}
thead, tfoot {display: table-header-group;}
.top-bar+.well,.accordion .accordion-heading+.accordion-body{display: inline-block !important;width: 100% !important;overflow: inherit !important;} 
.dynamic{display:none}
table td {
padding: 6px !important;
}
legend{line-height: 16px;font-weight:100;}



 .gmaps{margin:0;padding:0;height:400px;border-radius:0 0 5px 5px;overflow:hidden;box-sizing:content-box}
 .gmaps>div>div:nth-child(3),.gmaps>div>div:nth-child(2){display:none}
 .gmaps img{max-width:none}
 .gmaps.map-small{height:200px}
 table.dataTable td,table.dataTable th{padding:12px 0;line-height:24px}
 .table-bordered.table{background-color:#eee;border:1px solid #c2c2c2;box-shadow:0 1px 0 white}
 .table-bordered.table tbody>tr:nth-child(odd)>td,.table-bordered.table .table tbody>tr:nth-child(odd)>td,.table-bordered.table .data-table tbody>tr:nth-child(odd)>td,.table-bordered.table .table-striped tbody>tr:nth-child(odd)>th,.table-bordered.table .table tbody>tr:nth-child(odd)>th,.table-bordered.table .data-table tbody>tr:nth-child(odd)>th,.table-bordered.table tbody tr,.table-bordered.table tbody td,.table-bordered.table th,.table-bordered.table td{border:0;box-shadow:none}
 .table-bordered.table tbody>tr:nth-child(odd)>td,.table-bordered.table .table tbody>tr:nth-child(odd)>td,.table-bordered.table .data-table tbody>tr:nth-child(odd)>td,.table-bordered.table .table-striped tbody>tr:nth-child(odd)>th,.table-bordered.table .table tbody>tr:nth-child(odd)>th,.table-bordered.table .data-table tbody>tr:nth-child(odd)>th,.table-bordered.table tbody tr,.table-bordered.table tbody td,.table-bordered.table th,.table-bordered.table td{border-bottom:1px solid #c2c2c2;border-top:1px solid white}
 .table-bordered.table tbody tr:last-child td{border-bottom:0}
 table.dataTable{margin:0 auto;clear:both;width:100%}
 table.dataTable thead th{cursor:pointer;*cursor:hand}
 table.dataTable thead tr{background:#3B5999}
 .table thead{background:crimson;color:#fff;}
 table.dataTable tfoot th,table.dataTable thead th,table.dataTable thead td{font-weight:bold;background-image:-moz-linear-gradient(bottom,rgba(0,0,0,0.05) 0,rgba(255,255,255,0.05) 100%);background-image:-o-linear-gradient(bottom,rgba(0,0,0,0.05) 0,rgba(255,255,255,0.05) 100%);background-image:-webkit-linear-gradient(bottom,rgba(0,0,0,0.05) 0,rgba(255,255,255,0.05) 100%);background-image:linear-gradient(bottom,rgba(0,0,0,0.05) 0,rgba(255,255,255,0.05) 100%);color:#fff;border-bottom:1px solid #c2c2c2;-webkit-box-shadow:0 2px 0 #fff;-moz-box-shadow:0 2px 0 #fff;box-shadow:0 2px 0 #fff}
 table.dataTable tfoot th:first-child,table.dataTable thead th:first-child{padding-left:20px}
 table.dataTable thead th{border-top:1px solid #c2c2c2;-webkit-box-shadow:inset 0 1px 0 rgba(255,255,255,0.7),0 2px 0 white;-moz-box-shadow:inset 0 1px 0 rgba(255,255,255,0.7),0 2px 0 white;box-shadow:inset 0 1px 0 rgba(255,255,255,0.7),0 2px 0 white}
 table.dataTable td.center,table.dataTable td.dataTables_empty{text-align:center}
 .dataTables_length select{max-width:50px}
 .dataTables_wrapper{position:relative;clear:both;*zoom:1}
 th.center{text-align:center}
 .dataTables_length{float:left}
 .dataTables_filter{float:right;text-align:right;padding-left:0!important}
 .dataTables_filter,.dataTables_length{padding:24px 20px}
 .dataTables_filter select,.dataTables_length select,.dataTables_filter textarea,.dataTables_length textarea,.dataTables_filter input[type="text"],.dataTables_length input[type="text"],.dataTables_filter input[type="password"],.dataTables_length input[type="password"]{margin:0;margin-left:5px}
 .dataTables_length{padding-top:24px;padding-bottom:23px;padding-right:0;display:none;}
 .dataTables_info{clear:both;float:left;padding:12px 20px;color:blue}
 .dataTables_paginate{float:right;text-align:right;padding:12px 20px}
 .paginate_disabled_previous,.paginate_enabled_previous,.paginate_disabled_next,.paginate_enabled_next{height:18px;float:left;cursor:pointer;*cursor:hand;color:#6b8a41!important}
 .paginate_disabled_previous:hover,.paginate_enabled_previous:hover,.paginate_disabled_next:hover,.paginate_enabled_next:hover{text-decoration:none!important}
 .paginate_disabled_previous:active,.paginate_enabled_previous:active,.paginate_disabled_next:active,.paginate_enabled_next:active{outline:0}
 .paginate_disabled_previous,.paginate_disabled_next{color:#c5c5c5!important}
 .paginate_disabled_previous,.paginate_enabled_previous{padding-left:23px}
 .paginate_disabled_next,.paginate_enabled_next{padding-right:0;margin-left:10px}
 .paging_full_numbers{height:28px}
 .paging_full_numbers a:active{outline:0}
 .paging_full_numbers a:hover{text-decoration:none}
 .paging_full_numbers a.paginate_button,.paging_full_numbers a.paginate_active{border:1px solid #aaa;-webkit-border-radius:5px;-moz-border-radius:5px;border-radius:5px;padding:2px 5px;margin:0 3px;cursor:pointer;*cursor:hand;color:#333!important}
 .paging_full_numbers a.paginate_button{background-color: #88DFE2;font-weight: 800}
 .paging_full_numbers a.paginate_button:hover{background-color:#ccc;text-decoration:none!important}
 .paging_full_numbers a.paginate_active{background-color:#99b3ff}
 .dataTables_processing{position:absolute;top:50%;left:50%;width:250px;height:30px;margin-left:-125px;margin-top:-15px;padding:14px 0 2px 0;border:1px solid #ddd;text-align:center;color:#999;background-color:white}
 table.dataTable thead th:active,table.dataTable thead td:active{outline:0}
 .dataTables_scroll{clear:both}
 .dataTables_scrollBody{*margin-top:-1px;-webkit-overflow-scrolling:touch}
 .gallery{padding:24px}
 .gallery .element{display:inline-block;padding:0 1.5% 3% 1.5%;position:relative;text-align:center;width:16%}
 .gallery .element .img-polaroid{padding:5%;border-radius:5px;border:0;background-color:#fcfcfc;-webkit-box-shadow:inset 0 1px 0 rgba(255,255,255,1),0 2px 4px rgba(0,0,0,0.08),inset 0 -1px 0 rgba(0,0,0,0.25);-moz-box-shadow:inset 0 1px 0 rgba(255,255,255,1),0 2px 4px rgba(0,0,0,0.08),inset 0 -1px 0 rgba(0,0,0,0.25);box-shadow:inset 0 1px 0 rgba(255,255,255,1),0 2px 4px rgba(0,0,0,0.08),inset 0 -1px 0 rgba(0,0,0,0.25)}
 .gallery .element a .icon-eye-open,.gallery .element a .icon-eye-open:hover{position:absolute;z-index:1006;color:white;text-shadow:0 -1px 0 rgba(0,0,0,0.3);vertical-align:center;background-color:rgba(0,0,0,0.7);border-radius:200em;left:50%;top:44%;margin-left:-26px;margin-top:-25px;width:52px;height:50px;padding:.70em .5em;box-sizing:border-box}
 .img-polaroid{padding:10px;box-sizing:border-box}
 .gallery img{zoom:1;filter:alpha(opacity=75);opacity:.75}
 .gallery img:hover{filter:alpha(opacity=100);opacity:1}
 
 .table,.data-table{margin-bottom:0}
 .table-striped,.table,.data-table{color:blue;font-weight:bolder;width:100%}
 .table-striped th,.table th,.data-table th,.table-striped td,.table td,.data-table td{padding:8px;text-align:left;vertical-align:top}
 .table-striped th,.table th,.data-table th{font-weight:bold}
 .table-striped thead th,.table thead th,.data-table thead th{vertical-align:bottom}
 .table-striped thead th:first-child,.table thead th:first-child,.data-table thead th:first-child{padding-left:20px}
 .table-striped thead th:last-child,.table thead th:last-child,.data-table thead th:last-child{padding-right:20px}
 .table-striped tbody i,.table tbody i,.data-table tbody i{color:#cacaca}
 .table-striped tbody td:first-child,.table tbody td:first-child,.data-table tbody td:first-child{padding-left:20px}
 .table-striped tbody td:last-child,.table tbody td:last-child,.data-table tbody td:last-child{padding-right:20px}
 .table-striped tbody td,.table tbody td,.data-table tbody td,.table-striped tbody th,.table tbody th,.data-table tbody th{background-image:-moz-linear-gradient(bottom,rgba(0,0,0,0.01) 0,rgba(255,255,255,0.01) 100%);background-image:-o-linear-gradient(bottom,rgba(0,0,0,0.01) 0,rgba(255,255,255,0.01) 100%);background-image:-webkit-linear-gradient(bottom,rgba(0,0,0,0.01) 0,rgba(255,255,255,0.01) 100%);background-image:linear-gradient(bottom,rgba(0,0,0,0.01) 0,rgba(255,255,255,0.01) 100%);border-bottom:1px solid #c2c2c2;-webkit-box-shadow:0 2px 0 #fff;-moz-box-shadow:0 2px 0 #fff;font-weight:800;box-shadow:0 2px 0 #fff}
 .st{font-weight:800;}
 .controls .input-block-level{font-weight:800;}
 .table-striped tbody .small,.table tbody .small,.data-table tbody .small{text-align:right;color:#c3c3c3}
 .table-striped tbody>tr:nth-child(odd)>td,.table tbody>tr:nth-child(odd)>td,.data-table tbody>tr:nth-child(odd)>td,.table-striped tbody>tr:nth-child(odd)>th,.table tbody>tr:nth-child(odd)>th,.data-table tbody>tr:nth-child(odd)>th{background-color:#f9f9f9;background-image:-moz-linear-gradient(bottom,rgba(0,0,0,0.03) 0,rgba(255,255,255,0.03) 100%);background-image:-o-linear-gradient(bottom,rgba(0,0,0,0.03) 0,rgba(255,255,255,0.03) 100%);background-image:-webkit-linear-gradient(bottom,rgba(0,0,0,0.03) 0,rgba(255,255,255,0.03) 100%);background-image:linear-gradient(bottom,rgba(0,0,0,0.03) 0,rgba(255,255,255,0.03) 100%);border-bottom:1px solid #c2c2c2}
 table .btn{padding:0 6px;margin-right:0;margin-left:2px !important;}
 table .right .btn{float:right}
 table.dataTable thead th.right,table.dataTable tfoot th.right{text-align:right;padding-right:20px}
</style>